Sign in to follow this  
Followers 0
Bruce Bowyer-Smyth

Hardware Accelerated Blur Pack v2.4

54 posts in this topic

Hardware Accelerated Blur Pack uses your video card’s GPU to process images at a potentially huge performance leap. The blurs in this pack are modelled after the built in Paint.NET effects. Differences have been noted below.

System Requirements
Note: These additional requirements are for this plugin pack only. They are not required for Paint.NET use in general.


  • Windows 8, Windows 7 or Windows Vista with the DirectX 11 platform update (x86, x64).
    (Win XP is NOT supported as it does not have DX11)
  • Latest Video Drivers from NVIDIA or AMD/ATI
  • DirectX 10 or later video card that supports DirectCompute (see troubleshooting section for how to determine this)

Installation
Extract all files from the zip file into the Paint.NET Effects folder.

Download for Paint.net v3.5
>>> Hardware Accelerated Blur Pack <<<

Download for Paint.net v4
>>> Hardware Accelerated Blur Pack <<<

Included Effects
Motion Blur (up to 54,800% faster!)


  • Added Edge Behaviour option

Radial Blur (up to 12,300% faster)


  • No quality option but it is equivalent to high-quality "5" in the standard Paint.NET blur.

Zoom Blur (up to 5,300% faster)

Gaussian Blur (up to 3,000% faster)


  • Main improvement is for large images or radius
  • Added Blur Dimensions option (Horizontal and Vertical, Horizontal Only, Vertical Only)
  • Added Edge Behaviour option

Channel Blur (new effect)


  • A separate and unique gaussian blur for each color channel
  • Each channel has it’s own independent radius option

Troubleshooting
Device creation error message


  • Firstly make sure you have up to date video drivers
     
  • Download GPU-Z and confirm that the DirectCompute checkbox is checked. If it isn’t you may have an unsupported video card. This means for NVIDIA you need an 8 series or later. For AMD/ATI the HD 4700 series or later. Intel HD Graphics 4000/2500 may be supported but I haven't tested that.

Out of Memory error message

  • You now have a reason for that hardware upgrade. The image needs to fit into the memory of the video card. The amount of a ram you have determines the size of the image these effects can process.

Version History
3.0.0 - PDN 4 compatible. Switched to use SharpDX.

2.4.0 - Bug fix for "tall" motion blurs
2.3.0 - Bug fix for partial image width selections

2.2.0 - Fixed plugin load wanring. Fixed some blurs being off by half a pixel. Added support for Win 8 software device driver.

2.1.0 - Gaussian, Motion and Channel blurs can handle any sized image. Faster zoom.
2.0.0 - Faster Radial, motion and zoom.
1.0.7 - Increased perf on small to medium sized images for motion and gaussian blur

1

Share this post


Link to post
Share on other sites

This needs to be pinned.

Been using them since the very beginning and I'm very very pleased with the results :)

0

Share this post


Link to post
Share on other sites

This needs to be pinned.

I agree. <Pinned>

Outstanding work Bruce!

0

Share this post


Link to post
Share on other sites

Wow thanks for that and for the pin. As a celebration there is more free performance for everyone!

Better handling of small to medium sized images for the motion and gaussian effects. This also helps break through the 30K% barrier on the motion blur. Enjoy.

0

Share this post


Link to post
Share on other sites

Damn! My ATI 4670 doesn`t support DirectCompute and has the latest drivers already so it looks as if I`m going to have to give this one a miss. :|

0

Share this post


Link to post
Share on other sites

It also won't support DirectCompute unless you're on Windows 7, or Windows Vista SP2 with the Platform Update.

0

Share this post


Link to post
Share on other sites

That`s right I do have Win 7. Looks like it`s the platform update I`m short of (whatever that is).

0

Share this post


Link to post
Share on other sites

Platform Update is only needed for Vista. You have everything you could have.

0

Share this post


Link to post
Share on other sites

My ATI 4670 doesn`t support DirectCompute

ATI only support DirectCompute from the HD 4700 onwards. So it looks like you just missed out on this one.

0

Share this post


Link to post
Share on other sites

I have an ATI radeon X1200, so no DirectCompute for me. :/

PDN won't make DirectCompute a requirement for a while, right Rick?

Edited by jerry533482
0

Share this post


Link to post
Share on other sites

Paint.NET v3.5.6 will require a DirectCompute-capable GPU. It will be released next month and if you can't install it then tough cookies.

0

Share this post


Link to post
Share on other sites

Neevermind BAHAHA

Edited by csm725
0

Share this post


Link to post
Share on other sites

Paint.NET v4 will require Windows 7, quad-core, and 2GB RAM minimum.

0

Share this post


Link to post
Share on other sites

I knew the 3.67-core 1.8GB RAM Windows Vista wasn't enough!

0

Share this post


Link to post
Share on other sites

Paint.NET v3.5.6 will require a DirectCompute-capable GPU. It will be released next month and if you can't install it then tough cookies.

Does that mean I`m stuck with 3.5.5 or can it still be used on a card that is not DirectCompute enabled?

0

Share this post


Link to post
Share on other sites

He was just kidding...

He had me panicking for a second too... :D

0

Share this post


Link to post
Share on other sites

Thank god for that! Guess I`m a sucker for good joke! :lol:

0

Share this post


Link to post
Share on other sites

We secretly replaced Rick's serious tone with a sarcastic demeanor. Let's see how long jerry takes to figure it out.

0

Share this post


Link to post
Share on other sites

A lot of people take your words seriously Rick. You are the author of Paint.NET, after all.

Still, you had us all going for a minute. :lol:

Edited by jerry533482
0

Share this post


Link to post
Share on other sites

I was just trying to find a nicer way to tell you to stop asking "future policy questions" ...

0

Share this post


Link to post
Share on other sites

Bruce, any chance of adding a screen shot of the UI?

This plug-in pack will actually give me the incentive to purchase a new computer with Win 7 installed, or do some serious hardware upgrading along with a fresh installation of Win 7 to save the money.

0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0